<%@ Import Namespace="System" %>
<%@ Import Namespace="System.Web" %>

<script runat="server">
Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs)
	' The name who's value contains the JSON data.  Defined in the $.ajax function "data:"
		Dim dataName As String = "datasnd"

	' Get data (JSON) from client under GET/POST
		Dim incomingRawData As string = String.Empty
		Dim decodedData As String = string.Empty

		' Evaluate how data was submitted in order to process it
		if Len(Request.QueryString(dataName)) > 0 Then
			incomingRawData = HttpContext.Current.Request.QueryString(dataName)
		Elseif Len(Request.Form(dataName)) > 0 Then
			incomingRawData = HttpContext.Current.Request.Form(dataName)
		Else
			incomingRawData = "[Fail]"
		End if

	' Evaluate Received Data
	If incomingRawData <> "[Fail]" Then
		' Decode The Data
		decodedData = System.Web.HttpUtility.UrlDecode(incomingRawData)

		' Return Response to Client
		Response.Buffer = False
		Response.ContentType = "application/json"
		Response.Write(decodedData)
	Else
		' Return Response to Client As Error Page (although could be done with JSON)
		Response.Write("<html><head><title>Error</title></head><body>The submission was not complete.</body></html>")
	End if
End Sub
</script>
